Altimax\Apidae\Core\Entity\SitraDonneePrivee:
    type: entity
    table: sitra_donnee_privee
    indexes:
        objet_id:
            columns:
                - objet_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        nomTechnique:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: ''
            column: nom_technique
        libelle:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: 'à traduire'
    manyToOne:
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: [ "persist", "remove" ]
            mappedBy: null
            inversedBy: donneePrivee
            joinColumns:
                objet_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    lifecycleCallbacks: {  }
